# {{ ansible_managed }}
{% macro params(name, vals) %}
{% for v in vals %}-{{ name }} {{ v }} {% endfor %}
{% endmacro %}
[Unit]
Description={{ devdocs_container_name }} (Container)
After=docker.service
PartOf=docker.service
Requires=docker.service

[Service]
{% if container_env is defined %}
EnvironmentFile={{ devdocs_sysconf_dir }}/{{ devdocs_container_name }}
{% endif %}
User={{ devdocs_docker_user }}
ExecStart=/srv/dockerfiles/{{ devdocs_container_name }}_start
ExecStop={{ devdocs_docker_path }} stop {{ devdocs_container_name }}
ExecStopPost={{ devdocs_docker_path }} rm -f {{ devdocs_container_name }}
ExecReload={{ devdocs_docker_path }} restart {{ devdocs_container_name }}

SyslogIdentifier={{ devdocs_container_name }}
Restart=always
RestartSec=10s

[Install]
WantedBy=docker.service
WantedBy=multi-user.target
